routes/web.php
<?php

use App\Http\Controllers\admin\CommonController;
use App\Http\Controllers\Admin\MarkController;
use App\Http\Controllers\Admin\StudentController;
use App\Http\Controllers\Admin\SubjectController;
use App\Http\Controllers\Admin\TeacherController;
use App\Http\Controllers\Admin\TermController;
use Illuminate\Support\Facades\Route;
use Illuminate\Support\Facades\Auth;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Auth::routes();

Route::get('/', [App\Http\Controllers\HomeController::class, 'index'])->name('home');

Route::prefix('admin')->group(function () {
    Route::group(['middleware' => 'auth:web'], function () {
        Route::resource('teacher', TeacherController::class);
        Route::get('delete/{route}/{id}', [CommonController::class, 'delete'])->name('delete');
        Route::resource('student', StudentController::class);
        Route::resource('subject', SubjectController::class);
        Route::resource('term', TermController::class);
        Route::resource('mark', MarkController::class);
    });
});

resources/views/admin/layouts/404.blade.php
@include('admin.layouts.sidebar')
<div class="content-wrapper">
  <!-- Content Header (Page header) -->
  <section class="content-header">
    <div class="container-fluid">
      <div class="row mb-2">
        <div class="col-sm-6">
          <h1>404 Error Page</h1>
        </div>
        <div class="col-sm-6">
          <ol class="breadcrumb float-sm-right">
            <li class="breadcrumb-item"><a href="#">Home</a></li>
            <li class="breadcrumb-item active">404 Error Page</li>
          </ol>
        </div>
      </div>
    </div><!-- /.container-fluid -->
  </section>

  <!-- Main content -->
  <section class="content">
    <div class="error-page">
      <h2 class="headline text-warning"> 404</h2>

      <div class="error-content">
        <h3><i class="fas fa-exclamation-triangle text-warning"></i> Oops! Page not found.</h3>

        <p>
          We could not find the page you were looking for.
          Meanwhile, you may <a href="#">return to dashboard</a> or try using the search form.
        </p>

        <form class="search-form">
          <div class="input-group">
            <input type="text" name="search" class="form-control" placeholder="Search">

            <div class="input-group-append">
              <button type="submit" name="submit" class="btn btn-warning"><i class="fas fa-search"></i>
              </button>
            </div>
          </div>
          <!-- /.input-group -->
        </form>
      </div>
      <!-- /.error-content -->
    </div>
    <!-- /.error-page -->
  </section>
  <!-- /.content -->
</div>
@include('admin.layouts.footer')

resources/views/admin/layouts/aside.blade.php
<aside class="control-sidebar control-sidebar-dark" style="top: 57px; height: 253px; display: block;">
    <!-- Control sidebar content goes here -->
    <div class="p-3 control-sidebar-content os-host os-theme-light os-host-resize-disabled os-host-scrollbar-horizontal-hidden os-host-transition os-host-overflow os-host-overflow-y" style="height: 253px;">
       <div class="os-resize-observer-host observed">
          <div class="os-resize-observer" style="left: 0px; right: auto;"></div>
       </div>
       <div class="os-size-auto-observer observed" style="height: calc(100% + 1px); float: left;">
          <div class="os-resize-observer"></div>
       </div>
       <div class="os-content-glue" style="margin: -16px; width: 249px; height: 252px;"></div>
       <div class="os-padding">
          <div class="os-viewport os-viewport-native-scrollbars-invisible" style="overflow-y: scroll;">
             <div class="os-content" style="padding: 16px; height: 100%; width: 100%;">
                <h5>Customize AdminLTE</h5>
                <hr class="mb-2">
                <div class="mb-4"><input type="checkbox" value="1" class="mr-1"><span>Dark Mode</span></div>
                <h6>Header Options</h6>
                <div class="mb-1"><input type="checkbox" value="1" class="mr-1"><span>Fixed</span></div>
                <div class="mb-1"><input type="checkbox" value="1" class="mr-1"><span>Dropdown Legacy Offset</span></div>
                <div class="mb-4"><input type="checkbox" value="1" class="mr-1"><span>No border</span></div>
                <h6>Sidebar Options</h6>
                <div class="mb-1"><input type="checkbox" value="1" class="mr-1"><span>Collapsed</span></div>
                <div class="mb-1"><input type="checkbox" value="1" checked="checked" class="mr-1"><span>Fixed</span></div>
                <div class="mb-1"><input type="checkbox" value="1" checked="checked" class="mr-1"><span>Sidebar Mini</span></div>
                <div class="mb-1"><input type="checkbox" value="1" class="mr-1"><span>Sidebar Mini MD</span></div>
                <div class="mb-1"><input type="checkbox" value="1" class="mr-1"><span>Sidebar Mini XS</span></div>
                <div class="mb-1"><input type="checkbox" value="1" class="mr-1"><span>Nav Flat Style</span></div>
                <div class="mb-1"><input type="checkbox" value="1" class="mr-1"><span>Nav Legacy Style</span></div>
                <div class="mb-1"><input type="checkbox" value="1" class="mr-1"><span>Nav Compact</span></div>
                <div class="mb-1"><input type="checkbox" value="1" class="mr-1"><span>Nav Child Indent</span></div>
                <div class="mb-1"><input type="checkbox" value="1" class="mr-1"><span>Nav Child Hide on Collapse</span></div>
                <div class="mb-4"><input type="checkbox" value="1" class="mr-1"><span>Disable Hover/Focus Auto-Expand</span></div>
                <h6>Footer Options</h6>
                <div class="mb-4"><input type="checkbox" value="1" class="mr-1"><span>Fixed</span></div>
                <h6>Small Text Options</h6>
                <div class="mb-1"><input type="checkbox" value="1" class="mr-1"><span>Body</span></div>
                <div class="mb-1"><input type="checkbox" value="1" class="mr-1"><span>Navbar</span></div>
                <div class="mb-1"><input type="checkbox" value="1" class="mr-1"><span>Brand</span></div>
                <div class="mb-1"><input type="checkbox" value="1" class="mr-1"><span>Sidebar Nav</span></div>
                <div class="mb-4"><input type="checkbox" value="1" class="mr-1"><span>Footer</span></div>
                <h6>Navbar Variants</h6>
                <div class="d-flex">
                   <select class="custom-select mb-3 text-light border-0 bg-white">
                      <option class="bg-primary">Primary</option>
                      <option class="bg-secondary">Secondary</option>
                      <option class="bg-info">Info</option>
                      <option class="bg-success">Success</option>
                      <option class="bg-danger">Danger</option>
                      <option class="bg-indigo">Indigo</option>
                      <option class="bg-purple">Purple</option>
                      <option class="bg-pink">Pink</option>
                      <option class="bg-navy">Navy</option>
                      <option class="bg-lightblue">Lightblue</option>
                      <option class="bg-teal">Teal</option>
                      <option class="bg-cyan">Cyan</option>
                      <option class="bg-dark">Dark</option>
                      <option class="bg-gray-dark">Gray dark</option>
                      <option class="bg-gray">Gray</option>
                      <option class="bg-light">Light</option>
                      <option class="bg-warning">Warning</option>
                      <option class="bg-white">White</option>
                      <option class="bg-orange">Orange</option>
                   </select>
                </div>
                <h6>Accent Color Variants</h6>
                <div class="d-flex"></div>
                <select class="custom-select mb-3 border-0">
                   <option>None Selected</option>
                   <option class="bg-primary">Primary</option>
                   <option class="bg-warning">Warning</option>
                   <option class="bg-info">Info</option>
                   <option class="bg-danger">Danger</option>
                   <option class="bg-success">Success</option>
                   <option class="bg-indigo">Indigo</option>
                   <option class="bg-lightblue">Lightblue</option>
                   <option class="bg-navy">Navy</option>
                   <option class="bg-purple">Purple</option>
                   <option class="bg-fuchsia">Fuchsia</option>
                   <option class="bg-pink">Pink</option>
                   <option class="bg-maroon">Maroon</option>
                   <option class="bg-orange">Orange</option>
                   <option class="bg-lime">Lime</option>
                   <option class="bg-teal">Teal</option>
                   <option class="bg-olive">Olive</option>
                </select>
                <h6>Dark Sidebar Variants</h6>
                <div class="d-flex"></div>
                <select class="custom-select mb-3 text-light border-0 bg-primary">
                   <option>None Selected</option>
                   <option class="bg-primary">Primary</option>
                   <option class="bg-warning">Warning</option>
                   <option class="bg-info">Info</option>
                   <option class="bg-danger">Danger</option>
                   <option class="bg-success">Success</option>
                   <option class="bg-indigo">Indigo</option>
                   <option class="bg-lightblue">Lightblue</option>
                   <option class="bg-navy">Navy</option>
                   <option class="bg-purple">Purple</option>
                   <option class="bg-fuchsia">Fuchsia</option>
                   <option class="bg-pink">Pink</option>
                   <option class="bg-maroon">Maroon</option>
                   <option class="bg-orange">Orange</option>
                   <option class="bg-lime">Lime</option>
                   <option class="bg-teal">Teal</option>
                   <option class="bg-olive">Olive</option>
                </select>
                <h6>Light Sidebar Variants</h6>
                <div class="d-flex"></div>
                <select class="custom-select mb-3 border-0">
                   <option>None Selected</option>
                   <option class="bg-primary">Primary</option>
                   <option class="bg-warning">Warning</option>
                   <option class="bg-info">Info</option>
                   <option class="bg-danger">Danger</option>
                   <option class="bg-success">Success</option>
                   <option class="bg-indigo">Indigo</option>
                   <option class="bg-lightblue">Lightblue</option>
                   <option class="bg-navy">Navy</option>
                   <option class="bg-purple">Purple</option>
                   <option class="bg-fuchsia">Fuchsia</option>
                   <option class="bg-pink">Pink</option>
                   <option class="bg-maroon">Maroon</option>
                   <option class="bg-orange">Orange</option>
                   <option class="bg-lime">Lime</option>
                   <option class="bg-teal">Teal</option>
                   <option class="bg-olive">Olive</option>
                </select>
                <h6>Brand Logo Variants</h6>
                <div class="d-flex"></div>
                <select class="custom-select mb-3 border-0">
                   <option>None Selected</option>
                   <option class="bg-primary">Primary</option>
                   <option class="bg-secondary">Secondary</option>
                   <option class="bg-info">Info</option>
                   <option class="bg-success">Success</option>
                   <option class="bg-danger">Danger</option>
                   <option class="bg-indigo">Indigo</option>
                   <option class="bg-purple">Purple</option>
                   <option class="bg-pink">Pink</option>
                   <option class="bg-navy">Navy</option>
                   <option class="bg-lightblue">Lightblue</option>
                   <option class="bg-teal">Teal</option>
                   <option class="bg-cyan">Cyan</option>
                   <option class="bg-dark">Dark</option>
                   <option class="bg-gray-dark">Gray dark</option>
                   <option class="bg-gray">Gray</option>
                   <option class="bg-light">Light</option>
                   <option class="bg-warning">Warning</option>
                   <option class="bg-white">White</option>
                   <option class="bg-orange">Orange</option>
                   <a href="#">clear</a>
                </select>
             </div>
          </div>
       </div>
       <div class="os-scrollbar os-scrollbar-horizontal os-scrollbar-unusable os-scrollbar-auto-hidden">
          <div class="os-scrollbar-track">
             <div class="os-scrollbar-handle" style="transform: translate(0px, 0px); width: 100%;"></div>
          </div>
       </div>
       <div class="os-scrollbar os-scrollbar-vertical os-scrollbar-auto-hidden">
          <div class="os-scrollbar-track">
             <div class="os-scrollbar-handle" style="transform: translate(0px, 0px); height: 19.582%;"></div>
          </div>
       </div>
       <div class="os-scrollbar-corner"></div>
    </div>
 </aside>

resources/views/admin/layouts/delete.blade.php
<div class="modal-dialog" role="document">
    <div class="modal-content">
        <div class="modal-header">
            <h4 class="modal-title">REMOVE</h4>
            <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
        </div>
        <form role="form" action="{{route($route.'.destroy',$id)}}" method="post" id="removeForm">
            @csrf
            @method('DELETE')
            <div class="modal-body">
                <h3 class="text-center" style="color: red"><i class="fas fa-trash-alt"></i></h3>
                <h4 class="text-center">Are you Sure?</h4>
                <p class="text-center">You won't be able to revert this!</p>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-warning" data-dismiss="modal"><i class="fa fa-times"></i> No, Cancel!</button>
                <button type="submit" class="btn btn-danger"><i class="fa fa-trash"></i> Yes, Delete it!</button>
            </div>
        </form>
  </div>

resources/views/admin/layouts/end.blade.php
</body>
</html>

resources/views/admin/layouts/error.blade.php
@if ($errors->any())
    @foreach ($errors->all() as $error)
        <div class="alert alert-danger" role="alert">
            <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                <span aria-hidden="true">&times;</span>
            </button>
            {{ $error }}
        </div>
    @endforeach
@endif

resources/views/admin/layouts/footer.blade.php
      <footer class="main-footer">
        <div class="float-right d-none d-sm-block">
          <b>Version</b> 1.0.1.2
        </div>
        <p>Copyright © {{date('Y')}} - <a href="#">mmnijas.in</a>.  All rights reserved</p>
      </footer>
    
      <!-- Control Sidebar -->
      <aside class="control-sidebar control-sidebar-dark">
        <!-- Control sidebar content goes here -->
      </aside>
      <!-- /.control-sidebar -->
    </div>
    <!-- ./wrapper -->
    
    <script src="{{asset('js/app.js')}}"></script>
    <!-- Custom JS Plugins -->


    <!-- DataTables  & Plugins -->
    <script src="{{asset('adminlte/jquery.dataTables.min.js')}}"></script>
    <script src="{{asset('adminlte/dataTables.bootstrap4.min.js')}}"></script>
    <script src="{{asset('adminlte/dataTables.responsive.min.js')}}"></script>
    <script src="{{asset('adminlte/responsive.bootstrap4.min.js')}}"></script>
    <script src="{{asset('adminlte/dataTables.buttons.min.js')}}"></script>
    <script src="{{asset('adminlte/buttons.bootstrap4.min.js')}}"></script>
    <script src="{{asset('adminlte/jszip.min.js')}}"></script>
    <script src="{{asset('adminlte/pdfmake.min.js')}}"></script>
    <script src="{{asset('adminlte/vfs_fonts.js')}}"></script>
    <script src="{{asset('adminlte/buttons.html5.min.js')}}"></script>
    <script src="{{asset('adminlte/buttons.print.min.js')}}"></script>
    <script src="{{asset('adminlte/buttons.colVis.min.js')}}"></script>
    
    <script src="{{asset('adminlte/select2.min.js')}}"></script>
    <script>$(document).ready(function(){$('.select2').select2()})</script>
    <!-- Page specific script -->
    <script src="{{asset('adminlte/toastr.min.js')}}"></script>
    <script src="{{asset('adminlte/bootstrap-colorpicker.min.js')}}"></script>
    <script src="{{asset('adminlte/jquery-ui.min.js')}}"></script>

    <script type="text/javascript" src="{{asset('core/js/jquery.magnific-popup.min.js')}}"></script>
    <script type="text/javascript" src="{{asset('core/js/slick.min.js')}}"></script>
    <script type="text/javascript" src="{{asset('core/js/custom.jquery.js')}}"></script>
    <script type="text/javascript" src="{{asset('adminlte/jquery.validate.min.js')}}"></script>
    <script>
      $(function () {
        var url = window.location;
        // for single sidebar menu
        $('ul.nav-sidebar a').filter(function () {
          return this.href == url;
        }).addClass('active');

        // for sidebar menu and treeview
        $('ul.nav-treeview a').filter(function () {
            return this.href == url;
        }).parentsUntil(".nav-sidebar > .nav-treeview")
            .css({'display': 'block'})
            .addClass('menu-open').prev('a')
            .addClass('active');
      });
    </script>

resources/views/admin/layouts/head.blade.php
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <title>SAMPLE APP</title>
  <!-- Theme style -->
  <link rel="stylesheet" href="{{asset('css/app.css')}}">
  <!-- DataTables -->
  <link rel="stylesheet" href="{{asset('adminlte/dataTables.bootstrap4.min.css')}}">
  <link rel="stylesheet" href="{{asset('adminlte/responsive.bootstrap4.min.css')}}">
  <link rel="stylesheet" href="{{asset('adminlte/buttons.bootstrap4.min.css')}}">
  <link type="text/css" rel="stylesheet" href="{{asset('adminlte/toastr.css')}}">
  <link rel="stylesheet" href="{{asset('adminlte/bootstrap-colorpicker.min.css')}}" />
  {{-- for image preview --}}
  <link rel="stylesheet" href="{{asset('core/css/magnific-popup.css')}}" type="text/css" />
  <link rel="stylesheet" href="{{asset('core/css/slick.css')}}" type="text/css" />
  <link rel="stylesheet" href="{{asset('core/css/slick-theme.css')}}" type="text/css" />
  <link rel="stylesheet" href="{{asset('adminlte/select2.min.css')}}" type="text/css"/>
  <link rel="stylesheet" href="{{asset('css/custom.css')}}" type="text/css"/>
</head>

resources/views/admin/layouts/navbar.blade.php
@include('admin.layouts.head')
<body class="hold-transition sidebar-mini">
    <div class="wrapper">
      <!-- Navbar -->
      <nav class="main-header navbar navbar-expand navbar-white navbar-light">
        <!-- Left navbar links -->
        <ul class="navbar-nav">
          <li class="nav-item">
            <a class="nav-link" data-widget="pushmenu" href="#" role="button"><i class="fas fa-bars"></i></a>
          </li>
          <li class="nav-item d-none d-sm-inline-block">
            <a href="#" class="nav-link">Home</a>
          </li>
        </ul>
      </nav>
      <!-- /.navbar -->

resources/views/admin/layouts/scripts.blade.php
<script>
$(document).on('click', 'button.btn-modal', function() {
    $('div.modal_class').load($(this).data('href'), function() {
        $(this).modal('show');
        $('form#removeForm').submit(function(e) {
            $(this).find('button[type="submit"]').attr('disabled', true);
            e.preventDefault();
            $.ajax({
                method: "delete",
                url: $(this).attr("action"),
                dataType: "json",
                data: {"_token": "{{ csrf_token() }}"},
                success:function(result){
                    if(result.status == true){
                        $('.modal_class').modal('hide');
                        toastr.success(result.message);
                        $('.data-table').DataTable().ajax.reload();
                    }else{
                        $('.modal_class').modal('hide');
                        toastr.error(result.message);
                        $('.data-table').DataTable().ajax.reload();
                    }
                }
            });
        });
    });
});
</script>

resources/views/admin/layouts/session.blade.php
@if(Session::has('message'))
    <div class="alert alert-{{Session::get('status')}}" role="alert">
        <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button>
        {{Session::get('message')}}
    </div>  
@endif

resources/views/admin/layouts/sidebar.blade.php
@include('admin.layouts.navbar')
<!-- Main Sidebar Container -->
<aside class="main-sidebar sidebar-dark-primary elevation-4">
    <!-- Brand Logo -->
    <a href="{{url('admin')}}" class="brand-link text-center">
      <span class="brand-text font-weight-light">SMS</span>
    </a>

    <!-- Sidebar -->
    <div class="sidebar">
      <!-- Sidebar user (optional) -->
      <div class="user-panel mt-3 pb-3 mb-3 d-flex">
        <div class="image">
          <img src="{{asset('img/user.png')}}" class="img-circle elevation-2" alt="User Image">
        </div>
        <div class="info">
          <a href="#" class="d-block">{{Auth::user()->name}}</a>
        </div>
      </div>

      <!-- Sidebar Menu -->
      <nav class="mt-2">
        <ul class="nav nav-pills nav-sidebar flex-column" data-widget="treeview" role="menu" data-accordion="false">
         
          <li class="nav-item"><a href="{{route('teacher.index')}}" class="nav-link"><i class="fas fa-chalkboard-teacher nav-icon"></i><p>TEACHERS</p></a></li>
          <li class="nav-item"><a href="{{route('student.index')}}" class="nav-link"><i class="fas fa-user-graduate nav-icon"></i><p>STUDENT</p></a></li>
          <li class="nav-item"><a href="{{route('subject.index')}}" class="nav-link"><i class="fas fa-book-open nav-icon"></i><p>SUBJECT</p></a></li>
          <li class="nav-item"><a href="{{route('term.index')}}" class="nav-link"><i class="fas fa-bell nav-icon"></i><p>TERMS</p></a></li>
          <li class="nav-item"><a href="{{route('mark.index')}}" class="nav-link"><i class="fas fa-award nav-icon"></i><p>MARKS</p></a></li>
          
          
          <li class="nav-item">
            <a href="javascript:void" class="nav-link" onclick="$('#logout-form').submit();">
                <i class="nav-icon fas fa-sign-out-alt"></i>
                <p>LOGOUT</p>
            </a>
          </li>
          
        </ul>
       
      <form id="logout-form" action="{{ route('logout') }}" method="POST" style="display: none;">
          @csrf
      </form>
      </nav>
      <!-- /.sidebar-menu -->
    </div>
    <!-- /.sidebar -->
  </aside>